<?
  ##########################################
## Автор: Говно кодырь -=ШАХТЕР=-           #  
## Сайт: http://masteram.us ICQ  : 46-92-90 #
### Версия 4.0 Лицензионная                 #
## Данная версия скрипта являлась ПЛАТНОЙ,  #
## вы НЕ ИМЕЛИ ПРАВА распрострянять данный  #
## скрипт или какие-либо части его кода...  #
## А ТЕПЕРЬ СВСЕМ НА ЭТО ПОХУЙ!!!)))        #
  #########################################
require'../config.php';
$align='left';
$title='Мои темы';
aut();
head();
$k_post=$db->sql_fetchfield($db->sql_query("SELECT COUNT(*) FROM `forum_t` where `user_id` = '".$user['id']."';"),0);

echo "<b>Мои темы ($k_post)</b><br />";

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];

$k_post=$db->sql_fetchfield($db->sql_query("SELECT COUNT(*) FROM `forum_t` where `user_id` = '".$user['id']."';"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$q=$db->sql_query("SELECT * FROM `forum_t` where `user_id` = '".$user['id']."' ORDER BY `time` DESC  LIMIT $start, ".$max."");
if ($db->sql_numrows($q)==0) {
echo "Нет тем\n";
}
while ($tem = $db->sql_fetchrow($q))
{


$forum=$db->sql_fetchrow($db->sql_query("SELECT * FROM `forum_f` WHERE `id` = '$tem[f_id]' LIMIT 1"));
$razdel=$db->sql_fetchrow($db->sql_query("SELECT * FROM `forum_r` WHERE `id` = '$tem[r_id]' LIMIT 1"));

echo links;
echo "<a href='tema_".$tem['id']."'>$tem[name]</a> <a href='tema_".$tem['id']."_end'>(".$db->sql_fetchfield($db->sql_query("SELECT COUNT(*) FROM `forum_msg` WHERE `f_id` = '$forum[id]' AND `r_id` = '$razdel[id]' AND `t_id` = '$tem[id]'"),0).")</a>";
echo div;



echo "<a href='razdel_".$tem['f_id']."'>$forum[name]</a> &gt; <a href='temes_".$tem['r_id']."'>$razdel[name]</a><br />\n";

$post = @$db->sql_fetchrow($db->sql_query("select * from  `forum_msg` WHERE t_id = '".$tem['id']."' order by time desc limit 1;"));
echo 'Сообщение: <a href="'.H.user_inf($post['user_id']).'">'.user($post['user_id']).'</a>';
echo '('.times($post['time']).')<br />';

}
if ($k_page>1){
echo '<br /><dl><dt></dt></dl>';
str("?",$k_page,$page); // Вывод страниц
echo '<br /><dl><dt></dt></dl>';
}

echo '<br />';
echo gb.'<a href="./">Форум</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot ();
?>